org.codehaus.groovy.ast.stmt

## Class IfStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.IfStatement

    public class IfStatement
    extends Statement

Represents an if (condition) { ... } else { ... } statement in Groovy

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`IfStatement(BooleanExpression booleanExpression, Statement ifBlock, Statement elseBlock)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BooleanExpression` `getBooleanExpression()`
`Statement` `getElseBlock()`
`Statement` `getIfBlock()`
`void` `setBooleanExpression(BooleanExpression booleanExpression)`
`void` `setElseBlock(Statement statement)`
`void` `setIfBlock(Statement statement)`
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

`addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfStatement

    public IfStatement(BooleanExpression booleanExpression,
                       Statement ifBlock,
                       Statement elseBlock)

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### getBooleanExpression

    public BooleanExpression getBooleanExpression()

#### getIfBlock

    public Statement getIfBlock()

#### getElseBlock

    public Statement getElseBlock()

#### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

#### setIfBlock

    public void setIfBlock(Statement statement)

#### setElseBlock

    public void setElseBlock(Statement statement)